Arch IfcSpreadsheet: Difference between revisions

From FreeCAD Documentation
m (Roy 043 moved page Arch MakeIfcSpreadsheet to Arch IfcSpreadsheet without leaving a redirect: Part of translatable page "Arch MakeIfcSpreadsheet")
(Module to Workbench renaming.)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:3-->
<!--T:3-->
{{Docnav
{{Docnav
|[[Arch_3Views|3 Views from mesh]]
|[[Arch_3Views|3 Views from mesh]]
|[[Arch_ToggleSubs|Toggle Subcomponents]]
|[[Arch_ToggleSubs|Toggle Subcomponents]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_3Views.svg
|IconL=Arch_3Views.svg
|IconR=Arch_ToggleSubs.svg
|IconR=Arch_ToggleSubs.svg
Line 15: Line 16:
|Name=Arch IfcSpreadsheet
|Name=Arch IfcSpreadsheet
|MenuLocation=Arch → Utilities → Create IFC spreadsheet
|MenuLocation=Arch → Utilities → Create IFC spreadsheet
|Workbenches=[[Arch_Module|Arch]]
|Workbenches=[[Arch_Workbench|Arch]]
|Shortcut={{KEY|I}} {{KEY|P}}
|Shortcut={{KEY|I}} {{KEY|P}}
|SeeAlso=[[Arch_IFC|Arch IFC]], [[Arch_IfcExplorer|Arch IfcExplorer]]
|SeeAlso=[[Arch_IFC|Arch IFC]], [[Arch_IfcExplorer|Arch IfcExplorer]]
Line 61: Line 62:
}}
}}
<translate>
<translate>


<!--T:12-->
<!--T:12-->
{{Docnav
{{Docnav
|[[Arch_3Views|3 Views from mesh]]
|[[Arch_3Views|3 Views from mesh]]
|[[Arch_ToggleSubs|Toggle Subcomponents]]
|[[Arch_ToggleSubs|Toggle Subcomponents]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_3Views.svg
|IconL=Arch_3Views.svg
|IconR=Arch_ToggleSubs.svg
|IconR=Arch_ToggleSubs.svg
Line 73: Line 76:
</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:11, 28 August 2021

Arch IfcSpreadsheet

Menu location
Arch → Utilities → Create IFC spreadsheet
Workbenches
Arch
Default shortcut
I P
Introduced in version
-
See also
Arch IFC, Arch IfcExplorer

Description

This tool creates a spreadsheet to store IFC properties of an object.

Usage

  1. Select an object.
  2. Invoke the command using several methods:
    • Pressing the Create IFC spreadsheet button on the toolbar.
    • Using the I then P keyboard shortcut.
    • Using the Arch → Utilities → Create IFC spreadsheet entry from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

spreadsheet = makeIfcSpreadsheet(archobj=None)
  • Creates a spreadsheet object. Optionally an archobj can be given.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

spreadsheet = Arch.makeIfcSpreadsheet(Wall)